Bug 56954 - Add ignore and ignore all menu items to the local menu of grammar checking errors.
Summary: Add ignore and ignore all menu items to the local menu of grammar checking er...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:4.0.0 target:4.3.0
Keywords:
Depends on: 73868
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-10 15:34 UTC by László Németh
Modified: 2014-01-24 11:41 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2012-11-10 15:34:24 UTC
Ignore menu item removes the blue wavy line only temporarily (for word-level errors, it removes the warnings for a session). See http://sourceforge.net/tracker/?func=detail&aid=3584878&group_id=110216&atid=655717

Testing.

1. Type 

X or or 

wait for a few seconds (or press Enter)

the sequence "or or" will be underlined.

2. Choose "Ignore" in the local menu of the underlined text.

3. Continue the text 

eg. or or 

And the newer "or or" will be underlined.

4. Press Enter and also the first "or or" will be underlined again.
Comment 1 László Németh 2012-11-10 15:46:52 UTC
Submit a patch (it uses ignoreRule to ignore the selected mistakes during the LibreOffice session).
Comment 2 Not Assigned 2012-11-13 13:04:07 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a2020262db475dc5e4af0c2692946e878ea4842a

fdo#56954: fix Ignore menu item of grammar mistakes



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Joel Madero 2012-12-11 16:43:54 UTC
László: can we close this one as FIXED with the patch?
Comment 4 László Németh 2012-12-11 23:59:17 UTC
Fixed in the core.
Joel: Thanks for your comment, I forgot to close this issue.
Comment 5 László Németh 2014-01-23 12:19:34 UTC
Ignore has got right functionality for unmodified paragraphs.
Comment 6 Commit Notification 2014-01-24 11:21:24 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=52d4203a312e9aecac9bffdc2afe93471b88a9dc

fdo#56954, fdo#73868 grammar checking UI fixes



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 László Németh 2014-01-24 11:41:29 UTC
Fixed, also the old layout problem (missing refresh with Ignore Rule), both in the local menu and the Spelling & Grammar dialog.